#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA5,0x82,0xBA,0x9A,0xE8,0x9A,0x37,0x1A,0xC2,0xE9,0xCF,0xF7,
		0x8F,0x15,0x7D,0x95,0x97,0x45,0xB0,0x47,0xE9,0x92,0xDC,0x72,
		0xF2,0xDC,0x33,0x50,0x91,0xB3,0xA2,0x40,0xE7,0x57,0x2C,0x2A,
		0xE5,0x42,0x9D,0x3B,0x61,0xB4,0x5D,0x38,0xC0,0x88,0x23,0x85,
		0x58,0xE4,0xDC,0x6E,0xEE,0x70,0xD1,0x6B,0x18,0xBA,0xAC,0x32,
		0x1C,0x5F,0x1C,0x43,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
